#!/bin/sh

# This is the xdvi wrapper script for teTeX, version 0.2.
# Copyright Thomas Esser, 1998. Permission to distribute under the terms
# of the GNU general public license version 2 or later.

# This script sets some environment variables to make sure that xdvi's
# resource file in $XDVIINPUTS/xdvi is read by xdvi.bin.

test -f /bin/sh5 && test -z "$RUNNING_SH5" \
  && test x"`(uname -s) 2>&1`" = xULTRIX \
  && { RUNNING_SH5=true; export RUNNING_SH5; exec /bin/sh5 $0 ${1+"$@"}; }
RUNNING_SH5=

test -f /bin/bsh && test -z "$RUNNING_BSH" \
  && test x"`(uname -s) 2>&1`" = xAIX \
  && { RUNNING_BSH=true; export RUNNING_BSH; exec /bin/bsh $0 ${1+"$@"}; }
RUNNING_BSH=

# -help and -version only work if they are the only options. Therefore,
# we cannot give the "-name xdvi" parameter in that case.
# SU: Actually, with current xdvik, they should work in any position; but
# we may keep this for compatibility with older versions and non-k xdvi.
case "$#:$1" in
  1:-help|1:-version)
    NAMEOPT=;;
  *)
    NAMEOPT='-name xdvi';;
esac

xdviappfile=`kpsewhich -progname=xdvi --format='other text files' XDvi`
if test -n "$xdviappfile"; then
  xdviappdir=`dirname "$xdviappfile"`
  xdviapppath="${xdviappdir}/%l_%t/%N:${xdviappdir}/%N"

  # For R3, we have to set XAPPLRESDIR.
  ### SU: removed, xdvik won't work with R3 anyway, and XAPPLRESDIR is
  ### for user customizations in current X
  ### XAPPLRESDIR="$xdviappdir"; export XAPPLRESDIR

  # For R4 or later, we have to set XFILESEARCHPATH, since XAPPLRESDIR might
  # be ignored (if XUSERFILESEARCHPATH is set)
  XFILESEARCHPATH="$xdviapppath:${XFILESEARCHPATH-%D}"; export XFILESEARCHPATH
fi

exec xdvi-motif.bin $NAMEOPT ${1+"$@"}
